//Maya ASCII 5.0 scene
//Name: toon_shader.ma
//Last modified: Sat, Sep 06, 2003 05:24:33 PM
requires maya "5.0";
currentUnit -l centimeter -a degree -t ntsc;
fileInfo "application" "maya";
fileInfo "product" "Maya Unlimited 5.0";
fileInfo "version" "5.0cotd";
fileInfo "cutIdentifier" "200307140009";
fileInfo "osv" "Microsoft Windows XP Service Pack 1 (Build 2600)\n";
createNode ramp -n "ramp1";
	setAttr ".in" 0;
	setAttr -s 2 ".cel";
	setAttr ".cel[0].ep" 0.58499997854232788;
	setAttr ".cel[0].ec" -type "float3" 0 0 0 ;
	setAttr ".cel[2].ep" 0.5350000262260437;
	setAttr ".cel[2].ec" -type "float3" 0.52891999 0.52891999 0.52891999 ;
createNode place2dTexture -n "place2dTexture1";
createNode hsvToRgb -n "hsvToRgb1";
createNode blendColors -n "blendColors1";
	setAttr ".c1" -type "float3" 0 0 0 ;
createNode samplerInfo -n "samplerInfo1";
createNode surfaceShader -n "toon_shader_toon_shader";
createNode lightLinker -n "lightLinker1";
select -ne :time1;
	setAttr ".o" 1;
select -ne :renderPartition;
	setAttr -s 5 ".st";
select -ne :renderGlobalsList1;
select -ne :defaultShaderList1;
	setAttr -s 5 ".s";
select -ne :postProcessList1;
	setAttr -s 2 ".p";
select -ne :defaultRenderUtilityList1;
	setAttr -s 12 ".u";
select -ne :lightList1;
select -ne :defaultTextureList1;
	setAttr -s 3 ".tx";
select -ne :initialShadingGroup;
	setAttr -k on ".nds";
	setAttr ".ro" yes;
select -ne :initialParticleSE;
	setAttr ".ro" yes;
select -ne :defaultRenderGlobals;
	addAttr -ci true -sn "currentRenderer" -ln "currentRenderer" -dt "string";
	setAttr ".top" 441;
	setAttr ".left" 202;
	setAttr ".bot" 341;
	setAttr ".rght" 435;
	setAttr ".fs" 1;
	setAttr ".ef" 10;
	setAttr ".currentRenderer" -type "string" "mayaSoftware";
select -ne :defaultRenderQuality;
	setAttr ".rfl" 10;
	setAttr ".rfr" 10;
	setAttr ".sl" 10;
	setAttr ".eaa" 0;
	setAttr ".ufil" yes;
	setAttr ".ss" 2;
select -ne :defaultResolution;
	setAttr ".w" 640;
	setAttr ".h" 480;
	setAttr ".dar" 1.3329999446868896;
	setAttr ".ldar" yes;
select -ne :hardwareRenderGlobals;
	addAttr -ci true -sn "tcov" -ln "textureCompression" -bt "TCOV" -min 0 
		-max 1 -en "Disabled:Enabled" -at "enum";
	addAttr -ci true -sn "ehql" -ln "enableHighQualityLighting" -bt "EHQL" -min 
		0 -max 1 -at "bool";
	addAttr -ci true -sn "eams" -ln "enableAcceleratedMultiSampling" -bt "EAMS" 
		-min 0 -max 1 -at "bool";
	addAttr -ci true -sn "tshc" -ln "transparentShadowCasting" -bt "TSHC" -min 
		0 -max 1 -at "bool";
	addAttr -ci true -sn "lith" -ln "lightIntensityThreshold" -bt "LITH" -at "float";
	setAttr ".fn" -type "string" "%s.%e";
	setAttr ".ctrs" 256;
	setAttr ".btrs" 512;
	setAttr -k on ".tcov" 1;
	setAttr -k on ".ehql" yes;
	setAttr -k on ".eams" yes;
	setAttr -k on ".tshc" yes;
	setAttr -k on ".lith" 0.0010000000474974513;
select -ne :defaultHardwareRenderGlobals;
	setAttr ".fn" -type "string" "im";
	setAttr ".res" -type "string" "ntsc_4d 646 485 1.333";
connectAttr "place2dTexture1.o" "ramp1.uv";
connectAttr "hsvToRgb1.or" "ramp1.u";
connectAttr "hsvToRgb1.ob" "ramp1.v";
connectAttr "place2dTexture1.ofs" "ramp1.fs";
connectAttr "blendColors1.op" "hsvToRgb1.i";
connectAttr "samplerInfo1.fr" "blendColors1.b";
connectAttr "ramp1.oc" "toon_shader_toon_shader.oc";
connectAttr ":defaultLightSet.msg" "lightLinker1.lnk[0].llnk";
connectAttr ":initialShadingGroup.msg" "lightLinker1.lnk[0].olnk";
connectAttr ":defaultLightSet.msg" "lightLinker1.lnk[1].llnk";
connectAttr ":initialParticleSE.msg" "lightLinker1.lnk[1].olnk";
connectAttr ":defaultLightSet.msg" "lightLinker1.lnk[2].llnk";
connectAttr ":defaultLightSet.msg" "lightLinker1.lnk[3].llnk";
connectAttr ":defaultLightSet.msg" "lightLinker1.lnk[4].llnk";
connectAttr "toon_shader_toon_shader.msg" ":defaultShaderList1.s" -na;
connectAttr "place2dTexture1.msg" ":defaultRenderUtilityList1.u" -na;
connectAttr "blendColors1.msg" ":defaultRenderUtilityList1.u" -na;
connectAttr "samplerInfo1.msg" ":defaultRenderUtilityList1.u" -na;
connectAttr "hsvToRgb1.msg" ":defaultRenderUtilityList1.u" -na;
connectAttr "lightLinker1.msg" ":lightList1.ln" -na;
connectAttr "ramp1.msg" ":defaultTextureList1.tx" -na;
// End of toon_shader.ma
