	#include "shader.h"

	struct plain
	{
 		miColor color;
 		miScalar brightness;
		miTag tex;
       		miVector coord;
 	};
 	DLLEXPORT int plain_version(void) {return 1;}


	DLLEXPORT miBoolean plain
	(
		miColor *result,
		miState *state,
		struct plain *paras
	)
	{
		miColor *color = mi_eval_color(&paras->color);
		miScalar *brightness = mi_eval_scalar(&paras->brightness);
		miTag tex;
		miVector *v = mi_eval_vector(&state->point);
		miVector *t   = mi_eval_vector(&paras->coord);
		miScalar *x = mi_eval_scalar(&state->dot_nd);


		*x = *x * -1;

		result->r = 1;

		
		
		result->g = *x;
		if(v->x < 0.6 && v->x > 0.3)
		result->b = 1;
		else
		result->b = 0;

		return miTRUE;
	}

